PETSc version 3.15.5
Fix/Edit manual page

# DMRestoreGlobalVector

Returns a PETSc vector that obtained from DMGetGlobalVector(). Do not use with vector obtained via DMCreateGlobalVector().

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMRestoreGlobalVector(DM dm,Vec *g)

Not Collective

### Input Parameter

| dm | - the dm
| g | - the global vector

### See Also

DMCreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToGlobalBegin(), DMGlobalToGlobalEnd(), DMGlobalToGlobal(), DMCreateLocalVector(), DMGetGlobalVector()

### Level

beginner

### Location

src/dm/interface/dmget.c

### Examples

src/dm/impls/plex/tutorials/ex1.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/dm/impls/plex/tutorials/ex1f90.F90.html
src/dm/impls/stag/tutorials/ex1.c.html
src/dm/tutorials/ex12.c.html
src/dm/tutorials/ex51.c.html
src/dm/tutorials/ex11f90.F90.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex22.c.html
src/snes/tutorials/ex33.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages